package reucd.main;

import java.util.ArrayList;

public class ActivityDiagram {
	
	private String name;
	private String type;
	private String owningUseCaseName;
	private ArrayList actions;
	public final String TYPE_BASIC = "BASIC FLOW";
	public final String TYPE_SUBFLOW = "SUBFLOW";
	public final String TYPE_PRIVATE = "PRIVATE EXTENSION POINT";
	public final String TYPE_BEHAVIOR = "PUBLIC EXTENSION POINT BEHAVIOR";
	public final String TYPE_PUBLIC = "PUBLIC EXTENSION POINT";
	private int nodeID = 1;
	
	
	public ActivityDiagram() {
		name = "";
		actions = new ArrayList();
	}

	

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getOwningUseCaseName() {
		return owningUseCaseName;
	}

	public void setOwningUseCaseName(String owningUseCaseName) {
		this.owningUseCaseName = owningUseCaseName;
	}

	public ArrayList getActions() {
		return actions;
	}

	public void setActions(ArrayList activityNodes) {
		this.actions = activityNodes;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	public String toString() {
		return ("Diagram Name: " + this.name);
	}

	public int getNodeID() {
		return nodeID;
	}

	public void setNodeID(int nodeID) {
		this.nodeID = nodeID;
	}
	
	
}
