package reucd.main;

public class ActivityEdge {
	
	private String sourceType;
	private String destinationType;
	private String ifStatement;
	public  final String TYPE_controlNode = "control node";
	public  final String TYPE_action = "action";
	public  final String TYPE_activityDiagram = "activity diagram";
	private ControlNode sourceControlNode;
	private ControlNode destinationControlNode;
	private Action sourceAction;
	private Action destinationAction;
	private ActivityDiagram sourceActivityDiagram;
	private ActivityDiagram destinationActivityDiagram;
	
	
	public ActivityEdge() {
		ifStatement = "";
	}

	public ControlNode getDestinationControlNode() {
		return destinationControlNode;
	}

	public void setDestinationControlNode(
			ControlNode destiationControlNode) {
		this.destinationControlNode = destiationControlNode;
	}

	public ActivityDiagram getDestinationActivityDiagram() {
		return destinationActivityDiagram;
	}

	public void setDestinationActivityDiagram(
			ActivityDiagram destinationActivityDiagram) {
		this.destinationActivityDiagram = destinationActivityDiagram;
	}

	public String getDestinationType() {
		return destinationType;
	}

	public void setDestinationType(String destinationType) {
		this.destinationType = destinationType;
	}

	public ActivityDiagram getSourceActivityDiagram() {
		return sourceActivityDiagram;
	}

	public void setSourceActivityDiagram(
			ActivityDiagram sourceActivityDiagram) {
		this.sourceActivityDiagram = sourceActivityDiagram;
	}

	public ControlNode getSourceControlNode() {
		return sourceControlNode;
	}

	public void setSourceControlNode(ControlNode sourceControlNode) {
		this.sourceControlNode = sourceControlNode;
	}

	public String getSourceType() {
		return sourceType;
	}

	public void setSourceType(String sourceType) {
		this.sourceType = sourceType;
	}

	public Action getDestinationAction() {
		return destinationAction;
	}

	public void setDestinationAction(Action destinationAction) {
		this.destinationAction = destinationAction;
	}

	public Action getSourceAction() {
		return sourceAction;
	}

	public void setSourceAction(Action sourceAction) {
		this.sourceAction = sourceAction;
	}

	public String getIfStatement() {
		return ifStatement;
	}

	public void setIfStatement(String ifStatement) {
		this.ifStatement = ifStatement;
	}

	

}
