package reucd.main;

public class ControlNode {
	private String type;
	public final String TYPE_decision = "Decision Node";
	public final String TYPE_join = "Join Node";
	public final String TYPE_fork = "Fork Node";
	public final String TYPE_initial = "Start Node";
	public final String TYPE_final = "Final Node";
	private Action ownerAction;
	private int controlID;
	private ActivityDiagram owningActivityDiagram;

	
	
	public ControlNode() {
		type = "";
		controlID = -1;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Action getOwnerAction() {
		return ownerAction;
	}

	public void setOwnerAction(Action ownerAction) {
		this.ownerAction = ownerAction;
	}

	public int getControlID() {
		return controlID;
	}

	public void setControlID(int controlID) {
		this.controlID = controlID;
	}

	public ActivityDiagram getOwningActivityDiagram() {
		return owningActivityDiagram;
	}

	public void setOwningActivityDiagram(ActivityDiagram owningActivityDiagram) {
		this.owningActivityDiagram = owningActivityDiagram;
	}
	
	
	
}
