package reucd.main;

public class ExtensionPoint {
	
	private String extensionPointType; //PrEP or PuEP_Declaration or PuEP_behavior
	private String baseUC;//for public behavior
	private String extensionPointName;//for public declarations
	private String continueHeaderName;//where to go back in the original flow
	public final String TYPE_publicDeclaration = "DECLARATION";
	public final String TYPE_publicBehavior = "BEHAVIOR";
	public final String TYPE_privatePoint = "PRIVATE";
	private AlternativeFlow alternativeFlow;//for public behavior or private behavior
	
	
	public ExtensionPoint() {
		baseUC = "";
		extensionPointName = "";
		continueHeaderName = "" ;
	}
	
	

	public String getContinueHeaderName() {
		return continueHeaderName;
	}

	public void setContinueHeaderName(String continueHeaderName) {
		this.continueHeaderName = continueHeaderName;
	}

	public String getBaseUC() {
		return baseUC;
	}


	public void setBaseUC(String baseUC) {
		this.baseUC = baseUC;
	}


	public String getExtensionPointName() {
		return extensionPointName;
	}


	public void setExtensionPointName(String extensionPointName) {
		this.extensionPointName = extensionPointName;
	}

	public String getExtensionPointType() {
		return extensionPointType;
	}


	public void setExtensionPointType(String extensionPointType) {
		this.extensionPointType = extensionPointType;
	}

	public AlternativeFlow getAlternativeFlow() {
		return alternativeFlow;
	}



	public void setAlternativeFlow(AlternativeFlow alternativeFlow) {
		this.alternativeFlow = alternativeFlow;
	}



}
