/**
 * Created on 2004-11-23
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
package reucd.gui;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.Font;
import java.awt.GridLayout;
import java.awt.Point;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.border.Border;

/**
 * @author Mohamed El-Attar
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */

class CreditsDialog extends JDialog implements ActionListener {		
	
	/**creating the borders that will be used by the components
	 * in the tables
	 */
	Border etched = BorderFactory.createEtchedBorder();
	Border empty = BorderFactory.createEmptyBorder(5,5,20,5);
	Border compound = BorderFactory.createCompoundBorder(
					etched, empty);
					
	public CreditsDialog(JFrame frame)
		{	
			super(frame, "Credits", true);
			Container cp= getContentPane();
			
			JPanel panel = new JPanel();
			setResizable(false);
			panel.setLayout(new GridLayout(1,1));
			JTextArea creditsArea = new JTextArea(
				"            " +
				"REUCD 1.0 (c)\n\n" +
				"Designers and Programmers:\n\n" +
				"Mohamed El-Attar\n",5,20);
			creditsArea.setBorder(compound);
			creditsArea.setWrapStyleWord(true);
			creditsArea.setLineWrap(true);
			creditsArea.setEditable(false);
			Font font = new Font("Arial",Font.BOLD,12);
			creditsArea.setFont(font);
			panel.add(creditsArea);
			JPanel panelOkButton = new JPanel();
			panelOkButton.setLayout(new FlowLayout());
			JButton ok = new JButton("OK");
			ok.addActionListener(this);
			panelOkButton.add(ok);

			cp.add(panel, BorderLayout.CENTER);
			cp.add(panelOkButton, BorderLayout.SOUTH);

			Toolkit t = getToolkit();
			Dimension dim = t.getScreenSize();
			setLocation(new Point(dim.width/3, dim.height/3));
			pack();
		}
		
		public void actionPerformed(ActionEvent e) {
			this.dispose(); 
		}
}
