package reucd.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.awt.geom.*;      // For Ellipse2D, etc.


public class DrawPanel extends JPanel {
	
	private Ellipse2D.Double circle =
	    new Ellipse2D.Double(10, 10, 350, 350);
	  private Rectangle2D.Double square =
	    new Rectangle2D.Double(10, 10, 350, 350);


    public DrawPanel(){
    	setBackground(Color.GREEN);
        //-- Preferred size is set, but layout may change it.
        setPreferredSize(new Dimension(60,60));
        repaint();
        
    }

    public void paintComponent(Graphics g) {
        clear(g);
        Graphics2D g2d = (Graphics2D)g;
        g2d.fill(circle);
        g2d.draw(square);
      }

      // super.paintComponent clears offscreen pixmap,
      // since we're using double buffering by default.

      protected void clear(Graphics g) {
        super.paintComponent(g);
      }


	

}
