package reucd.main;


public class ActivityNode {
	
	private UseCase usecase;
	//e.g. Basic Flow and Alternative Flows
	//e.g. SUBFLOW: subflow name
	//e.g. PRIVATE EXTENSION POINT: name of the top level header contained in its alternative flow
	private String activityDiagram; 
	private Header header;
	private Action action;
	private ControlNode controlNode;
	private String type;

	
	
	public String getType() {
		return type;
	}


	public void setType(String type) {
		this.type = type;
	}


	public ControlNode getControlNode() {
		return controlNode;
	}


	public void setControlNode(ControlNode controlNode) {
		this.controlNode = controlNode;
		type = "";
	}


	public ActivityNode() {
		activityDiagram = "";
	}


	public String getActivityDiagram() {
		return activityDiagram;
	}


	public void setActivityDiagram(String activityDiagram) {
		this.activityDiagram = activityDiagram;
	}


	public Action getAction() {
		return action;
	}

	public void setAction(Action action) {
		this.action = action;
	}

	public Header getHeader() {
		return header;
	}

	public void setHeader(Header header) {
		this.header = header;
	}

	public UseCase getUsecase() {
		return usecase;
	}

	public void setUsecase(UseCase usecase) {
		this.usecase = usecase;
	}
	
	
	

}
