package reucd.main;

import java.util.ArrayList;

public class Header {
	
	
	//A header may contain either actoins or headers
	
	private String name;
	private ArrayList actions; 
	private ArrayList headers;
	private ArrayList resumeHeaders; //array list of strings, containing the names of the resume headers
	private ArrayList afterHeaders; //array list of strings, containing the names of the after headers
	private Header parentHeader; //its immediate upper level header

	public Header() {
		name = "";
		actions = new ArrayList ();
		headers = new ArrayList ();
		resumeHeaders = new ArrayList ();
		afterHeaders = new ArrayList ();
	}
	
	

	/**
	 * @return Returns the parentHeader.
	 */
	public synchronized Header getParentHeader() {
		return parentHeader;
	}

	/**
	 * @param parentHeader The parentHeader to set.
	 */
	public synchronized void setParentHeader(Header parentHeader) {
		this.parentHeader = parentHeader;
	}

	public ArrayList getActions() {
		return actions;
	}

	public void setActions(ArrayList actions) {
		this.actions = actions;
	}

	public ArrayList getHeaders() {
		return headers;
	}

	public void setHeaders(ArrayList headers) {
		this.headers = headers;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public ArrayList getAfterHeaders() {
		return afterHeaders;
	}

	public void setAfterHeaders(ArrayList afterHeaders) {
		this.afterHeaders = afterHeaders;
	}

	public ArrayList getResumeHeaders() {
		return resumeHeaders;
	}

	public void setResumeHeaders(ArrayList resumeHeaders) {
		this.resumeHeaders = resumeHeaders;
	}
	
	
	
}
