/**
 * 
 * Created on 2004-11-26
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
package reucd.reverse;

/**
 * @author Mohamed El-Attar
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */

/** This class is a representation of one Band. It gathers all basic band
 * information, band constraints information and gigs scheduled for this
 * particular band in the scheduling process. 
 * */public class Association {

	/** UseCase basic info */
	private String associationId = "";
	private UseCase useCaseEnd = null;
	private Actor actorEnd = null;
	
	/** creates empty UseCase */
	public Association() {
	}
		
	/** short constructor for feeding back schedule.xml */	
	public Association(String associationId, UseCase useCaseEnd, Actor actorEnd ) {
		this.associationId = associationId;
		this.useCaseEnd = useCaseEnd;
		this.actorEnd = actorEnd;
	}
	
	/**
	 * @return Returns the actorEnd.
	 */
	public Actor getActorEnd() {
		return actorEnd;
	}
	/**
	 * @param actorEnd The actorEnd to set.
	 */
	public void setActorEnd(Actor actorEnd) {
		this.actorEnd = actorEnd;
	}
	/**
	 * @return Returns the associationId.
	 */
	public String getAssociationId() {
		return associationId;
	}
	/**
	 * @param associationId The associationId to set.
	 */
	public void setAssociationId(String associationId) {
		this.associationId = associationId;
	}
	/**
	 * @return Returns the useCaseEnd.
	 */
	public UseCase getUseCaseEnd() {
		return useCaseEnd;
	}
	/**
	 * @param useCaseEnd The useCaseEnd to set.
	 */
	public void setUseCaseEnd(UseCase useCaseEnd) {
		this.useCaseEnd = useCaseEnd;
	}
	
	/************************************************************
	 * printing methods											*
	 ************************************************************/
	
	public void print() {
		
		System.out.println("Association id: " + getAssociationId()+ 
				" Association Actor: " + getActorEnd().getName() + " Association Use Case: "
				+ getUseCaseEnd().getName());
	}
 }