/**
 * 
 * Created on 2004-11-26
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
package reucd.reverse;

/**
 * @author Mohamed El-Attar
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */

/** This class is a representation of one Band. It gathers all basic band
 * information, band constraints information and gigs scheduled for this
 * particular band in the scheduling process. 
 * */public class Dependency {

	/** UseCase basic info */
	private String dependencyId = "";
	private UseCase clientUseCase = null;
	private UseCase supplierUseCase = null;
	private String stereoType = "";
	private String clientID = "";
	private String supplierID = "";
	private String extensionPointName = "";
	private String condition = "";
	
	private String extensionPointId = "";
	
	/** creates empty UseCase */
	public Dependency() {
		
	}

	/**
	 * @return Returns the clientUseCase.
	 */
	public UseCase getClientUseCase() {
		return clientUseCase;
	}
	/**
	 * @param clientUseCase The clientUseCase to set.
	 */
	public void setClientUseCase(UseCase clientUseCase) {
		this.clientUseCase = clientUseCase;
	}
	/**
	 * @return Returns the dependencyId.
	 */
	public String getDependencyId() {
		return dependencyId;
	}
	/**
	 * @param dependencyId The dependencyId to set.
	 */
	public void setDependencyId(String dependencyId) {
		this.dependencyId = dependencyId;
	}
	/**
	 * @return Returns the stereoType.
	 */
	public String getStereoType() {
		return stereoType;
	}
	/**
	 * @param stereoType The stereoType to set.
	 */
	public void setStereoType(String stereoType) {
		this.stereoType = stereoType;
	}
	/**
	 * @return Returns the supplierUseCase.
	 */
	public UseCase getSupplierUseCase() {
		return supplierUseCase;
	}
	/**
	 * @param supplierUseCase The supplierUseCase to set.
	 */
	public void setSupplierUseCase(UseCase supplierUseCase) {
		this.supplierUseCase = supplierUseCase;
	}

	/************************************************************
	 * printing methods											*
	 * @param stereotype 
	 ************************************************************/
	
	public void print(String stereotype) {
		
		if (stereotype.equalsIgnoreCase("extend")){
			System.out.println("Dependency id: " + getDependencyId()+ 
					" Client Use Case: " + getClientUseCase().getName() + " Supplier Use Case: "
					+ getSupplierUseCase().getName() + "; Stereotype: " + getStereoType());
			
			try{
				System.out.println("; Extention-Point: " + getExtensionPointName());
			} catch (NullPointerException e){
				
			}
			
		}
		else if (stereotype.equalsIgnoreCase("include")){
			System.out.println("Dependency id: " + getDependencyId()+ 
					" Client Use Case: " + getClientUseCase().getName() + " Supplier Use Case: "
					+ getSupplierUseCase().getName() + "; Stereotype: " + getStereoType());
		}
		
		
		
	}
	
	



	public String getExtensionPointName() {
		return extensionPointName;
	}

	public void setExtensionPointName(String extensionPointName) {
		this.extensionPointName = extensionPointName;
	}

	public String getClientID() {
		return clientID;
	}

	public void setClientID(String clientID) {
		this.clientID = clientID;
	}


	public String getSupplierID() {
		return supplierID;
	}

	public void setSupplierID(String supplierID) {
		this.supplierID = supplierID;
	}

	public void setExtenstionLocationId(String extensionLocationId) {
		this.extensionPointId = extensionLocationId;
		
	}
	
	public String getExtenstionLocationId(){
		return extensionPointId;
	}

	public String getCondition() {
		return condition;
	}

	public void setCondition(String condition) {
		this.condition = condition;
	}


	
	

 }
