/**
 * 
 * Created on 2004-11-26
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
package reucd.reverse;

import java.util.ArrayList;

import org.w3c.dom.Node;


/**
 * @author Mohamed El-Attar
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */

/** This class is a representation of one Band. It gathers all basic band
 * information, band constraints information and gigs scheduled for this
 * particular band in the scheduling process. 
 * */
public class NodeInfo {

	ArrayList DDLNameList = null;
	ArrayList DDLiDList = null;
	ArrayList assignedNameList = null;
	ArrayList parentRelationshipList = null;
	ArrayList parentNameList = null;
	ArrayList nodeList = null;
	ArrayList parentNodeIDList = null;
	
	
	boolean anyCandidatesExist = true;

	
	public NodeInfo(){

		DDLNameList = new ArrayList ();
		DDLiDList = new ArrayList ();
		assignedNameList = new ArrayList ();
		parentRelationshipList = new ArrayList ();
		parentNameList =new ArrayList ();
		nodeList = new ArrayList();
		parentNodeIDList = new ArrayList();

	}
	
	
	
	
	/** adds one search entity 
	 * @param actor object 
	 */		 
	public void addAsCandidate(String DDLName, String DDLiD, String assignedName, String parentRelationship, String parentName, Node node, String pNodeID) {

		DDLNameList.add( DDLName );
		DDLiDList.add( DDLiD );
		assignedNameList.add( assignedName );
		parentRelationshipList.add( parentRelationship );
		parentNameList.add( parentName );
		nodeList.add(node);
		parentNodeIDList.add(pNodeID);
		
	}
	
	/**checks if a ddl node has already been used
	 * 
	 *
	 */
	public boolean checkDuplicateDDLName (String DDLName){
	    for (int i = 0 ; i < DDLNameList.size();i++ ){
	        if (((String)DDLNameList.get(i)).equals(DDLName)){
	            return true;
	        }
	    }
	    return false;
	}
	
	/**checks if a model element node has already been used
	 * 
	 *
	 */
	public boolean checkUsedModelName (String modelElementName){
	    for (int i = 0 ; i < assignedNameList.size();i++ ){
	        if (((String)assignedNameList.get(i)).equals(modelElementName)){
	            return true;
	        }
	    }
	    return false;
	}
	
	public String getAssignedCandidate (String DDLName){
	    for (int i = 0 ; i < DDLNameList.size();i++ ){
	        if (((String)DDLNameList.get(i)).equals(DDLName)){
	            return ((String)assignedNameList.get(i));
	        }
	    }
	    return "";
	}
	
	/** removes the last search entity in the node
	 * 
	 * @return
	 */
	public void removeLastCandidate(){
	    int size = DDLNameList.size();
	    DDLNameList.remove(size-1);
		DDLiDList.remove(size-1);
		assignedNameList.remove(size-1);
		parentRelationshipList.remove(size-1);
		parentNameList.remove(size-1);
		nodeList.remove(size-1);
		parentNodeIDList.remove(size-1);
	}

	/**
	 * @return Returns the anyCandidatesExist.
	 */
	public boolean isAnyCandidatesExist() {
		return anyCandidatesExist;
	}
	/**
	 * @param anyCandidatesExist The anyCandidatesExist to set.
	 */
	public void setAnyCandidatesExist(boolean anyCandidatesExist) {
		this.anyCandidatesExist = anyCandidatesExist;
	}
	/**
	 * @return Returns the assignedNameList.
	 */
	public ArrayList getAssignedNameList() {
		return assignedNameList;
	}
	/**
	 * @param assignedNameList The assignedNameList to set.
	 */
	public void setAssignedNameList(ArrayList assignedNameList) {
		this.assignedNameList = assignedNameList;
	}
	/**
	 * @return Returns the dDLiDList.
	 */
	public ArrayList getDDLiDList() {
		return DDLiDList;
	}
	/**
	 * @param liDList The dDLiDList to set.
	 */
	public void setDDLiDList(ArrayList liDList) {
		DDLiDList = liDList;
	}
	/**
	 * @return Returns the dDLNameList.
	 */
	public ArrayList getDDLNameList() {
		return DDLNameList;
	}
	/**
	 * @param nameList The dDLNameList to set.
	 */
	public void setDDLNameList(ArrayList nameList) {
		DDLNameList = nameList;
	}
	/**
	 * @return Returns the nodeDDLName.
	 */
	/**
	 * @return Returns the parentNameList.
	 */
	public ArrayList getParentNameList() {
		return parentNameList;
	}
	/**
	 * @param parentNameList The parentNameList to set.
	 */
	public void setParentNameList(ArrayList parentNameList) {
		this.parentNameList = parentNameList;
	}
	/**
	 * @return Returns the parentRelationshipList.
	 */
	public ArrayList getParentRelationshipList() {
		return parentRelationshipList;
	}
	/**
	 * @param parentRelationshipList The parentRelationshipList to set.
	 */
	public void setParentRelationshipList(ArrayList parentRelationshipList) {
		this.parentRelationshipList = parentRelationshipList;
	}
    /**
     * @return Returns the nodeList.
     */
    public ArrayList getNodeList() {
        return nodeList;
    }
    /**
     * @param nodeList The nodeList to set.
     */
    public void setNodeList(ArrayList nodeList) {
        this.nodeList = nodeList;
    }
    
    
    /**
     * @return Returns the parentNodeID.
     */
    public ArrayList getParentNodeIDList() {
        return parentNodeIDList;
    }
    /**
     * @param parentNodeID The parentNodeID to set.
     */
    public void setParentNodeIDList(ArrayList parentNodeIDList) {
        this.parentNodeIDList = parentNodeIDList;
    }
}