/**
 * 
 * Created on 2004-11-26
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
package reucd.reverse;

import java.util.ArrayList;

/**
 * @author Mohamed El-Attar
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */

/** This class is a representation of one Band. It gathers all basic band
 * information, band constraints information and gigs scheduled for this
 * particular band in the scheduling process. 
 * */
public class UseCase {

	/** UseCase basic info */
	private String useCaseId = "";
	private String name = "";
	private ArrayList extensionPoints = new ArrayList();
	private boolean abstractUsecase = false;
	
	/** creates empty UseCase */
	public UseCase() {
	}
		
	/** short constructor for feeding back schedule.xml */	
	public UseCase(String name, String useCaseId) {
		this.name = name;
		this.useCaseId = useCaseId;
	}
	
	
	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * @return Returns the useCaseId.
	 */
	public String getUseCaseId() {
		return useCaseId;
	}
	/**
	 * @param useCaseId The useCaseId to set.
	 */
	public void setUseCaseId(String useCaseId) {
		this.useCaseId = useCaseId;
	}
	
	
	public ArrayList getExtensionPoints() {
		return extensionPoints;
	}

	public void setExtensionPoints(ArrayList extensionPoints) {
		this.extensionPoints = extensionPoints;
	}
	
	

	public boolean isAbstractUsecase() {
		return abstractUsecase;
	}

	public void setAbstractUsecase(boolean abstractUsecase) {
		this.abstractUsecase = abstractUsecase;
	}

	/************************************************************
	 * printing methods											*
	 ************************************************************/
	
	public void print() {
		
		System.out.println("Use Case name: " + getName() + "; " +
			"Use Case Id: " + getUseCaseId());
	}
	
	
}